LIBA_TARGET 		:= libiot_luoma.a

$(call Append_Conditional, LIB_SRCS_EXCLUDE, kk_luoma_main.c)
$(call Append_Conditional, SRCS_kk_luoma, kk_luoma_main.c)
$(call Append_Conditional, TARGET, kk_luoma)

CFLAGS 			+= -I$(TOP_DIR)/common/api
CFLAGS 			+= -I$(TOP_DIR)/common/json
CFLAGS 			+= -I$(TOP_DIR)/common/nanomsg/include
CFLAGS 			+= -I$(TOP_DIR)/common/ev/include
LDFLAGS         += -lkk_tsl 
LDFLAGS         += -lapi_com
ifeq ($(CONFIG_VENDOR),ubuntu)
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg_ubuntu
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev_ubuntu  
else
	LDFLAGS         += -L$(TOP_DIR)/common/nanomsg -lnanomsg
	LDFLAGS         += -L$(TOP_DIR)/common/ev  -lev  
endif
LDFLAGS         += -liot_cjson -liot_mqtt -ldl -lm -lanl -lkk_hal



